Upstream information

CVE-2015-0259 at MITRE

Description

OpenStack Compute (Nova) before 2014.1.4, 2014.2.x before 2014.2.3, and kilo before kilo-3 does not validate the origin of websocket requests, which allows remote attackers to hijack the authentication of users for access to consoles via a crafted webpage.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.1
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 917091 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Cloud Compute Node for SUSE Linux Enterprise 12 5
  • openstack-ceilometer >= 2014.2.4.dev18-3.2
  • openstack-ceilometer-agent-compute >= 2014.2.4.dev18-3.2
  • openstack-neutron >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-dhcp-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-ha-tool >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-l3-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-lbaas-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-linuxbridge-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-metadata-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-metering-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-openvswitch-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-neutron-vpn-agent >= 2014.2.4~a0~dev78-7.2
  • openstack-nova >= 2014.2.4~a0~dev61-6.2
  • openstack-nova-compute >= 2014.2.4~a0~dev61-6.2
  • openstack-suse >= 2014.2-5.1
  • openstack-suse-sudo >= 2014.2-5.1
  • python-ceilometer >= 2014.2.4.dev18-3.2
  • python-neutron >= 2014.2.4~a0~dev78-7.2
  • python-nova >= 2014.2.4~a0~dev61-6.2
Patchnames:
SUSE-SLE12-CLOUD-5-2015-629
SUSE OpenStack Cloud 6
  • openstack-nova >= 12.0.2~a0~dev18-1.3
  • openstack-nova-api >= 12.0.2~a0~dev18-1.3
  • openstack-nova-cells >= 12.0.2~a0~dev18-1.3
  • openstack-nova-cert >= 12.0.2~a0~dev18-1.3
  • openstack-nova-compute >= 12.0.2~a0~dev18-1.3
  • openstack-nova-conductor >= 12.0.2~a0~dev18-1.3
  • openstack-nova-console >= 12.0.2~a0~dev18-1.3
  • openstack-nova-consoleauth >= 12.0.2~a0~dev18-1.3
  • openstack-nova-novncproxy >= 12.0.2~a0~dev18-1.3
  • openstack-nova-objectstore >= 12.0.2~a0~dev18-1.3
  • openstack-nova-scheduler >= 12.0.2~a0~dev18-1.3
  • openstack-nova-serialproxy >= 12.0.2~a0~dev18-1.3
  • openstack-nova-vncproxy >= 12.0.2~a0~dev18-1.3
  • python-nova >= 12.0.2~a0~dev18-1.3
Patchnames:
SUSE OpenStack Cloud 6 GA openstack-nova


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Cloud 11.3 openstack-nova Ignore
SUSE Cloud 2.0 openstack-nova Ignore
SUSE Cloud 3 openstack-nova Ignore
SUSE Cloud 4 openstack-nova Ignore
SUSE Cloud 5 openstack-nova Released
SUSE Linux Enterprise 12 Compute Node for Cloud 5 openstack-nova Released